Bug 1539287 - [abrt] meson: detect_meson_py_location(): mesonlib.py:51:detect_meson_py_location:RuntimeError: Could not determine how to run Meson. Please file a bug with details.
Summary: [abrt] meson: detect_meson_py_location(): mesonlib.py:51:detect_meson_py_loca...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: meson
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e56d9b2714a346418335d60f42b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-27 13:27 UTC by James Legg
Modified: 2018-03-01 16:23 UTC (History)
2 users (show)

Fixed In Version: meson-0.44.1-1.fc26 meson-0.44.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-01 15:57:58 UTC


Attachments (Terms of Use)
File: backtrace (1.20 KB, text/plain)
2018-01-27 13:27 UTC, James Legg
no flags Details
File: cgroup (355 bytes, text/plain)
2018-01-27 13:27 UTC, James Legg
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-01-27 13:27 UTC, James Legg
no flags Details
File: environ (3.71 KB, text/plain)
2018-01-27 13:27 UTC, James Legg
no flags Details
File: mountinfo (3.59 KB, text/plain)
2018-01-27 13:27 UTC, James Legg
no flags Details
File: namespaces (129 bytes, text/plain)
2018-01-27 13:27 UTC, James Legg
no flags Details
File: open_fds (244 bytes, text/plain)
2018-01-27 13:27 UTC, James Legg
no flags Details

Description James Legg 2018-01-27 13:27:45 UTC
Description of problem:
I ran "mesontest" with no arguments. It fails with "Could not determine how to run Meson. Please file a bug with details."

I think this is upstream bug https://github.com/mesonbuild/meson/issues/2761.

mesonintrospect is similarly broken, which I suspect is causing gnome-builder to be unable to launch applications when using build and run.
I have /usr/bin, which contains the meson executable, in my PATH environment variable.

Version-Release number of selected component:
meson-0.44.0-1.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 -s /usr/bin/mesontest
crash_function: detect_meson_py_location
exception_type: RuntimeError
executable:     /usr/bin/mesontest
kernel:         4.14.13-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
mesonlib.py:51:detect_meson_py_location:RuntimeError: Could not determine how to run Meson. Please file a bug with details.

Traceback (most recent call last):
  File "/usr/bin/mesontest", line 19, in <module>
    from mesonbuild import mesonmain
  File "/usr/lib/python3.6/site-packages/mesonbuild/mesonmain.py", line 18, in <module>
    from . import environment, interpreter, mesonlib
  File "/usr/lib/python3.6/site-packages/mesonbuild/environment.py", line 17, in <module>
    from . import coredata
  File "/usr/lib/python3.6/site-packages/mesonbuild/coredata.py", line 20, in <module>
    from .mesonlib import MesonException, commonpath
  File "/usr/lib/python3.6/site-packages/mesonbuild/mesonlib.py", line 60, in <module>
    meson_command = python_command + [detect_meson_py_location()]
  File "/usr/lib/python3.6/site-packages/mesonbuild/mesonlib.py", line 51, in detect_meson_py_location
    raise RuntimeError('Could not determine how to run Meson. Please file a bug with details.')
RuntimeError: Could not determine how to run Meson. Please file a bug with details.

Local variables in innermost frame:
fname: '/usr/lib/python3.6/site-packages/mesonbuild/../meson.py'
c_fname: 'mesontest'
c: '/usr/bin/mesontest'

Comment 1 James Legg 2018-01-27 13:27:50 UTC
Created attachment 1386848 [details]
File: backtrace

Comment 2 James Legg 2018-01-27 13:27:51 UTC
Created attachment 1386849 [details]
File: cgroup

Comment 3 James Legg 2018-01-27 13:27:52 UTC
Created attachment 1386850 [details]
File: cpuinfo

Comment 4 James Legg 2018-01-27 13:27:54 UTC
Created attachment 1386851 [details]
File: environ

Comment 5 James Legg 2018-01-27 13:27:56 UTC
Created attachment 1386852 [details]
File: mountinfo

Comment 6 James Legg 2018-01-27 13:27:57 UTC
Created attachment 1386853 [details]
File: namespaces

Comment 7 James Legg 2018-01-27 13:27:59 UTC
Created attachment 1386854 [details]
File: open_fds

Comment 8 Fedora Update System 2018-02-21 06:44:34 UTC
meson-0.44.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e74dbcacc5

Comment 9 Fedora Update System 2018-02-21 06:44:47 UTC
meson-0.44.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-20c6cef5b8

Comment 10 Fedora Update System 2018-02-21 16:42:06 UTC
meson-0.44.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e74dbcacc5

Comment 11 Fedora Update System 2018-02-21 17:17:39 UTC
meson-0.44.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-20c6cef5b8

Comment 12 Fedora Update System 2018-03-01 15:57:58 UTC
meson-0.44.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-03-01 16:23:56 UTC
meson-0.44.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.